Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eLeadSource
    ColdCall = 0
    ExistingCustomer = 1
    SelfGenerated = 2
    EmployeeReferral = 3
    Partner = 4
    PublicRelations = 5
    Seminar = 6
    TradeShow = 7
    Web = 8
    WordOfMouth = 9
    Advertisement = 10
    Other = 11
End Enum
Public Enum ePreferredContactMethod
    Any = 0
    Email = 1
    Phone = 2
    Fax = 3
    Mail = 4
End Enum
Public Enum eLeadStatus
    None = 0
    Lost = 1
    CannotContact = 2
    NoLongerInterested = 3
    Canceled = 4
    Qualified = 5
End Enum

Public Enum eOpportunityStatus
    None = 0
    Won = 1
    Canceled = 2
    OutSold = 3
End Enum
Public Enum eOpportunityRating
    Hot = 0
    Warm = 1
    Cold = 2
End Enum

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CRMNote
    Inherits BaseObject
    Private _CRM_Leads As CRM_Leads
    Private _Title As String
    Private _Description As String
    Private _Attachment As FileData
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("CRM_Leads-CRMNote", GetType(CRM_Leads))> _
    Property CRM_Leads As CRM_Leads
        Get
            Return _CRM_Leads
        End Get
        Set(ByVal value As CRM_Leads)
            SetPropertyValue("CRM_Leads", _CRM_Leads, value)
        End Set
    End Property
    <Size(255)> _
    Property Title As String
        Get
            Return _Title
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Title", _Title, value)
        End Set
    End Property
    <Size(4000)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property Attachment As FileData
        Get
            Return _Attachment
        End Get
        Set(ByVal value As FileData)
            SetPropertyValue("Attachment", _Attachment, value)
        End Set
    End Property
End Class
